Bug 1468029 - Both Gnome and Gnome on X sessions login to X Session, Wayland session inaccessible
Both Gnome and Gnome on X sessions login to X Session, Wayland session inacce...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 15:45 EDT by Sumit Bhardwaj
Modified: 2017-07-07 17:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Journalctl output (658.03 KB, text/x-vhdl)
2017-07-06 12:53 EDT, Sumit Bhardwaj
no flags Details

  None (edit)
Description Sumit Bhardwaj 2017-07-05 15:45:34 EDT
Description of problem:
On login from GDM login screen, selecting either "Gnome" or "Gnome on Xorg" sessions result in starting of a XOrg session. "Gnome" session should start Wayland session instead.

This can be confirmed by running the Alt+F2 -> r command. The shell restart on either of the sessions, but Gnome Shell on Wayland does not support this command. 

Re-installing packages gdm, gnome-session, gnome-session-wayland-session, gnome-classic-session and gnome-session-xsession doesn't resolve the problem.

On checking the .desktop files in /usr/share/xsessions, it was found that for both gnome.desktop and gnome-xorg.desktop, the Exec line reads gnome-session only with no session name parameters etc.

Version-Release number of selected component (if applicable):
gdm -> 1:3.24.2-1.fc26
gnome-classic-session -> 3.24.2-1.fc26
gnome-session -> 3.24.1-2.fc26
gnome-session-wayland-session ->  3.24.1-2.fc26
gnome-session-xsession -> 3.24.1-2.fc26 

How reproducible:
Login to session "Gnome" from GDM, press Alt+F2 to bring up run command box, enter r and press enter.

Steps to Reproduce:
1.Login to session "Gnome" from GDM
2.Press Alt+F2 to bring up run command box
3.Enter r and press enter

Actual results:
Shell will restart confirming an X.org session. On checking the gnome-system-monitor process list, X server will be seen running.

Expected results:
Run command box should display message that this command is not supported on Wayland session. On checking the gnome-system-monitor process list, X server process should not be present.

Additional info:
Comment 1 Sumit Bhardwaj 2017-07-05 15:47:33 EDT
Marking it as Final blocker as a working Wayland session is a requirement for a successful release if I am not wrong.
Comment 2 Michael Catanzaro 2017-07-05 16:28:19 EDT
Since this is undoubtedly going to be hardware-specific, the end result is a desktop session that works just as well as a Wayland session, and no blocker criterion was cited, I don't think this one should be accepted.
Comment 3 Sumit Bhardwaj 2017-07-05 16:35:31 EDT
(In reply to Michael Catanzaro from comment #2)
> Since this is undoubtedly going to be hardware-specific, the end result is a
> desktop session that works just as well as a Wayland session, and no blocker
> criterion was cited, I don't think this one should be accepted.

How can this be undoubtedly hardware specific? Shouldn't the .desktop files for sessions contain different command lines for both sessions? Can somebody confirm this?

I have been using Wayland session on this same laptop since Fedora 23 and it works fine. Its a vanilla Intel Integrated graphics system based on 4th generation core i7 processor.

The end result is a session that works but is not Wayland. I dont think thats ok, because if that was the case, then there is no need for a Waylnd session at all as the end result will be a working desktop with Xorg session as well.

Enlighten me if i am missing a point here.
Comment 4 Chris Murphy 2017-07-05 16:48:10 EDT
(In reply to Sumit Bhardwaj from comment #3)
> How can this be undoubtedly hardware specific?

I've got three different bits of hardware here, all of them are using Wayland throughout Fedora 26 testing with no fallback to X. But none of those installations are upgrades, so I suppose it could be upgrade related. But without logs, it's speculation.

You need to attach the result from 'journalctl -b -o short-monotonic > journal.log' 

Also useful is run loginctl find the session number for your user, e.g. 2 and then plug that into:

$ loginctl show-session 2 | grep Type

And post those results.
Comment 5 Michael Catanzaro 2017-07-05 19:59:43 EDT
(In reply to Sumit Bhardwaj from comment #3)
> > Since this is undoubtedly going to be hardware-specific

Although possible, I would be pretty surprised and disappointed if nobody noticed until a week before release that Wayland sessions were not working.

(In reply to Sumit Bhardwaj from comment #3) 
> How can this be undoubtedly hardware specific? Shouldn't the .desktop files
> for sessions contain different command lines for both sessions?

Doesn't look like it... those files are identical for me on F25.
Comment 6 Matthew Miller 2017-07-06 11:08:19 EDT
-1 blocker -- I've been running wayland on several machines and in VMs, and so are others. This seems likely to be specific to your setup -- and the fallback is working.
Comment 7 Sumit Bhardwaj 2017-07-06 12:12:10 EDT
Yes, it seems like a system specific issue. I checked the journalctl logs, there are more than one instance of gnome-shell crashing and core dumping while gdm is starting up. I see that after that even gdm falls back to X session.

Will try to gather and post log in some time. Removed the blocker status.
Comment 8 Sumit Bhardwaj 2017-07-06 12:52:36 EDT
Update:

I saw a lot of xkbkeymap related errors in journalctl output. Attaching log output.

Basically, the error were pointing to some syntax error in the en-in keyboard map. When i removed the en-in keyboard mapping from Gnome Control Panel -> Region and Language panel and used en-us instead, all the errors got resolved (most if not all) and Wayland session is running fine now.

Will try to add back the keyboard map again and see if it is repeated. Any pointers for resolving the issue with the keyboard map definition are most welcome.
Comment 9 Sumit Bhardwaj 2017-07-06 12:53 EDT
Created attachment 1294994 [details]
Journalctl output

Note You need to log in before you can comment on or make changes to this bug.